%define pypi_name mechanize

Summary:	Stateful programmatic web browsing
Name:		python-%{pypi_name}
Version:	0.4.8
Release:	%mkrel 1
License:	BSD
Group:		Development/Python
URL:		https://pypi.org/project/mechanize/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
# for tests
BuildRequires:  python3-html5lib
BuildRequires:  python3-twisted
BuildRequires:  python3-zope-interface

%description
Stateful programmatic web browsing, after Andy Lester's Perl module
WWW::Mechanize.

The library is layered: mechanize.Browser (stateful web browser),
mechanize.UserAgent (configurable URL opener), plus urllib2 handlers.

Features include: ftp:, http: and file: URL schemes, browser history,
high-level hyperlink and HTML form support, HTTP cookies, HTTP-EQUIV and
Refresh, Referer [sic] header, robots.txt, redirections, proxies, and
Basic and Digest HTTP authentication.  mechanize's response objects are
(lazily-) .seek()able and still work after .close().

Much of the code originally derived from Perl code by Gisle Aas
(libwww-perl), Johnny Lee (MSIE Cookie support) and last but not least
Andy Lester (WWW::Mechanize).  urllib2 was written by Jeremy Hylton.

%package -n python3-%{pypi_name}
Summary:	%{summary}
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:	python-clientcookie < 1.3.0-2
Provides:	python-clientcookie

%description -n python3-%{pypi_name}
Stateful programmatic web browsing, after Andy Lester's Perl module
WWW::Mechanize.

The library is layered: mechanize.Browser (stateful web browser),
mechanize.UserAgent (configurable URL opener), plus urllib2 handlers.

Features include: ftp:, http: and file: URL schemes, browser history,
high-level hyperlink and HTML form support, HTTP cookies, HTTP-EQUIV and
Refresh, Referer [sic] header, robots.txt, redirections, proxies, and
Basic and Digest HTTP authentication.  mechanize's response objects are
(lazily-) .seek()able and still work after .close().

Much of the code originally derived from Perl code by Gisle Aas
(libwww-perl), Johnny Lee (MSIE Cookie support) and last but not least
Andy Lester (WWW::Mechanize).  urllib2 was written by Jeremy Hylton.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mechanize

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc examples/*



%changelog
* Wed Sep 07 2022 neoclust <neoclust> 0.4.8-1.mga9
+ Revision: 1885093
- New version 	0.4.8

* Mon Mar 28 2022 umeabot <umeabot> 0.4.5-3.mga9
+ Revision: 1829706
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 0.4.5-2.mga9
+ Revision: 1775279
- Rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.4.5-1.mga9
+ Revision: 1706241
- rebuild for python 3.9

* Fri Apr 17 2020 daviddavid <daviddavid> 0.4.5-1.mga8
+ Revision: 1568011
- new version: 0.4.5

* Sun Feb 16 2020 umeabot <umeabot> 0.4.3-2.mga8
+ Revision: 1535061
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 0.4.3-1.mga8
+ Revision: 1450842
- new version: 0.4.3

* Wed Sep 11 2019 tv <tv> 0.4.2-3.mga8
+ Revision: 1439679
- rebuild for python-3.8

* Sun Sep 01 2019 tv <tv> 0.4.2-2.mga8
+ Revision: 1436080
- switch to python3

* Fri Apr 19 2019 wally <wally> 0.4.2-1.mga7
+ Revision: 1393541
- new version 0.4.2

* Fri Nov 02 2018 kekepower <kekepower> 0.3.7-1.mga7
+ Revision: 1327601
- Fix typo in python_provide
- Update to version 0.3.7
- Renamed python-mechanize to python2-mechanize
- Use python_provide

* Thu Sep 20 2018 umeabot <umeabot> 0.2.5-11.mga7
+ Revision: 1289185
- Mageia 7 Mass Rebuild

* Thu Aug 24 2017 ovitters <ovitters> 0.2.5-10.mga7
+ Revision: 1146198
+ rebuild (emptylog)

* Sat Feb 06 2016 umeabot <umeabot> 0.2.5-10.mga6
+ Revision: 940676
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-9.mga5
+ Revision: 745254
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.5-8.mga5
+ Revision: 729034
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-7.mga5
+ Revision: 688145
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2.5-5.mga4
+ Revision: 543736
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.5-4.mga4
+ Revision: 498903
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.2.5-3.mga3
+ Revision: 379133
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 13 2011 tv <tv> 0.2.5-2.mga2
+ Revision: 181415
- bump release (fix upgrading from mdv)

* Sun Apr 17 2011 ahmad <ahmad> 0.2.5-1.mga1
+ Revision: 86869
- update to 0.2.5

* Sun Jan 23 2011 ennael <ennael> 0.2.4-1.mga1
+ Revision: 34830
- imported package python-mechanize


* Fri Oct 29 2010 Götz Waschk <waschk@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 589922
- update to new version 0.2.4

* Sun Oct 17 2010 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdv2011.0
+ Revision: 586250
- update to new version 0.2.3

* Mon Jul 19 2010 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdv2011.0
+ Revision: 554907
- update to new version 0.2.2

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2011.0
+ Revision: 550284
- update to new version 0.2.1

* Fri Apr 23 2010 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdv2010.1
+ Revision: 538140
- new version
- update docs list

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.11-2mdv2010.1
+ Revision: 523829
- rebuilt for 2010.1

* Mon Jun 08 2009 Götz Waschk <waschk@mandriva.org> 0.1.11-1mdv2010.0
+ Revision: 383904
- new version
- fix source URL

* Mon Dec 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.10-2mdv2009.1
+ Revision: 320810
- clean up the clientcookie obsolete / provide

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.10-1mdv2009.1
+ Revision: 319215
- buildrequires python-setuptools
- rebuild with python 2.6
- obsolete python-clientcookie
- clean spec a bit
- new release 0.1.10

* Sun Jul 27 2008 Götz Waschk <waschk@mandriva.org> 0.1.7b-2mdv2009.0
+ Revision: 250656
- add docs
- update deps

* Sun Jul 27 2008 Götz Waschk <waschk@mandriva.org> 0.1.7b-1mdv2009.0
+ Revision: 250619
- import python-mechanize


